from google.protobuf import struct_pb2 as _struct_pb2
from google.protobuf import timestamp_pb2 as _timestamp_pb2
from google.protobuf.internal import containers as _containers
from google.protobuf.internal import enum_type_wrapper as _enum_type_wrapper
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Iterable as _Iterable, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor
accessed: VerificationStatus
canceled: VerificationStatus
constrained: VerificationStatus
created: VerificationStatus
failed: VerificationStatus
futile: VerificationStatus
initialized: VerificationStatus
pending: VerificationStatus
succeeded: VerificationStatus
unknown: VerificationStatus

class ContactData(_message.Message):
    __slots__ = ["address", "birthdate", "company_registration_number", "emails", "name", "organization"]
    ADDRESS_FIELD_NUMBER: _ClassVar[int]
    BIRTHDATE_FIELD_NUMBER: _ClassVar[int]
    COMPANY_REGISTRATION_NUMBER_FIELD_NUMBER: _ClassVar[int]
    EMAILS_FIELD_NUMBER: _ClassVar[int]
    NAME_FIELD_NUMBER: _ClassVar[int]
    ORGANIZATION_FIELD_NUMBER: _ClassVar[int]
    address: PlaceAddress
    birthdate: str
    company_registration_number: str
    emails: _containers.RepeatedScalarFieldContainer[str]
    name: str
    organization: str
    def __init__(self, name: _Optional[str] = ..., organization: _Optional[str] = ..., birthdate: _Optional[str] = ..., company_registration_number: _Optional[str] = ..., emails: _Optional[_Iterable[str]] = ..., address: _Optional[_Union[PlaceAddress, _Mapping]] = ...) -> None: ...

class ContactDoesNotExist(_message.Message):
    __slots__ = []
    def __init__(self) -> None: ...

class ContactHistoryId(_message.Message):
    __slots__ = ["value"]
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: str
    def __init__(self, value: _Optional[str] = ...) -> None: ...

class ContactId(_message.Message):
    __slots__ = ["value"]
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: str
    def __init__(self, value: _Optional[str] = ...) -> None: ...

class Event(_message.Message):
    __slots__ = ["details", "event_datetime", "method", "type"]
    DETAILS_FIELD_NUMBER: _ClassVar[int]
    EVENT_DATETIME_FIELD_NUMBER: _ClassVar[int]
    METHOD_FIELD_NUMBER: _ClassVar[int]
    TYPE_FIELD_NUMBER: _ClassVar[int]
    details: _struct_pb2.Struct
    event_datetime: _timestamp_pb2.Timestamp
    method: str
    type: str
    def __init__(self, event_datetime: _Optional[_Union[_timestamp_pb2.Timestamp, _Mapping]] = ..., type: _Optional[str] = ..., details: _Optional[_Union[_struct_pb2.Struct, _Mapping]] = ..., method: _Optional[str] = ...) -> None: ...

class IncorrectStatus(_message.Message):
    __slots__ = []
    def __init__(self) -> None: ...

class InvalidData(_message.Message):
    __slots__ = ["fields"]
    FIELDS_FIELD_NUMBER: _ClassVar[int]
    fields: _containers.RepeatedScalarFieldContainer[str]
    def __init__(self, fields: _Optional[_Iterable[str]] = ...) -> None: ...

class MethodNotApplicable(_message.Message):
    __slots__ = []
    def __init__(self) -> None: ...

class PlaceAddress(_message.Message):
    __slots__ = ["city", "country_code", "postal_code", "state_or_province", "street"]
    CITY_FIELD_NUMBER: _ClassVar[int]
    COUNTRY_CODE_FIELD_NUMBER: _ClassVar[int]
    POSTAL_CODE_FIELD_NUMBER: _ClassVar[int]
    STATE_OR_PROVINCE_FIELD_NUMBER: _ClassVar[int]
    STREET_FIELD_NUMBER: _ClassVar[int]
    city: str
    country_code: str
    postal_code: str
    state_or_province: str
    street: _containers.RepeatedScalarFieldContainer[str]
    def __init__(self, street: _Optional[_Iterable[str]] = ..., city: _Optional[str] = ..., state_or_province: _Optional[str] = ..., postal_code: _Optional[str] = ..., country_code: _Optional[str] = ...) -> None: ...

class VerificationDoesNotExist(_message.Message):
    __slots__ = []
    def __init__(self) -> None: ...

class VerificationId(_message.Message):
    __slots__ = ["value"]
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: str
    def __init__(self, value: _Optional[str] = ...) -> None: ...

class VerificationInfo(_message.Message):
    __slots__ = ["close_datetime", "contact_id", "create_datetime", "events", "last_access_datetime", "manual_check_request", "next_events", "status", "verification_id"]
    CLOSE_DATETIME_FIELD_NUMBER: _ClassVar[int]
    CONTACT_ID_FIELD_NUMBER: _ClassVar[int]
    CREATE_DATETIME_FIELD_NUMBER: _ClassVar[int]
    EVENTS_FIELD_NUMBER: _ClassVar[int]
    LAST_ACCESS_DATETIME_FIELD_NUMBER: _ClassVar[int]
    MANUAL_CHECK_REQUEST_FIELD_NUMBER: _ClassVar[int]
    NEXT_EVENTS_FIELD_NUMBER: _ClassVar[int]
    STATUS_FIELD_NUMBER: _ClassVar[int]
    VERIFICATION_ID_FIELD_NUMBER: _ClassVar[int]
    close_datetime: _timestamp_pb2.Timestamp
    contact_id: ContactId
    create_datetime: _timestamp_pb2.Timestamp
    events: _containers.RepeatedCompositeFieldContainer[Event]
    last_access_datetime: _timestamp_pb2.Timestamp
    manual_check_request: bool
    next_events: _containers.RepeatedCompositeFieldContainer[Event]
    status: VerificationStatus
    verification_id: VerificationId
    def __init__(self, verification_id: _Optional[_Union[VerificationId, _Mapping]] = ..., contact_id: _Optional[_Union[ContactId, _Mapping]] = ..., create_datetime: _Optional[_Union[_timestamp_pb2.Timestamp, _Mapping]] = ..., close_datetime: _Optional[_Union[_timestamp_pb2.Timestamp, _Mapping]] = ..., last_access_datetime: _Optional[_Union[_timestamp_pb2.Timestamp, _Mapping]] = ..., status: _Optional[_Union[VerificationStatus, str]] = ..., manual_check_request: bool = ..., events: _Optional[_Iterable[_Union[Event, _Mapping]]] = ..., next_events: _Optional[_Iterable[_Union[Event, _Mapping]]] = ...) -> None: ...

class VerificationResult(_message.Message):
    __slots__ = ["address", "birthdate", "company_registration_number", "contact_history_id", "data", "emails", "method", "name", "organization", "verify_datetime"]
    ADDRESS_FIELD_NUMBER: _ClassVar[int]
    BIRTHDATE_FIELD_NUMBER: _ClassVar[int]
    COMPANY_REGISTRATION_NUMBER_FIELD_NUMBER: _ClassVar[int]
    CONTACT_HISTORY_ID_FIELD_NUMBER: _ClassVar[int]
    DATA_FIELD_NUMBER: _ClassVar[int]
    EMAILS_FIELD_NUMBER: _ClassVar[int]
    METHOD_FIELD_NUMBER: _ClassVar[int]
    NAME_FIELD_NUMBER: _ClassVar[int]
    ORGANIZATION_FIELD_NUMBER: _ClassVar[int]
    VERIFY_DATETIME_FIELD_NUMBER: _ClassVar[int]
    address: bool
    birthdate: bool
    company_registration_number: bool
    contact_history_id: ContactHistoryId
    data: ContactData
    emails: bool
    method: str
    name: bool
    organization: bool
    verify_datetime: _timestamp_pb2.Timestamp
    def __init__(self, verify_datetime: _Optional[_Union[_timestamp_pb2.Timestamp, _Mapping]] = ..., method: _Optional[str] = ..., data: _Optional[_Union[ContactData, _Mapping]] = ..., contact_history_id: _Optional[_Union[ContactHistoryId, _Mapping]] = ..., name: bool = ..., organization: bool = ..., birthdate: bool = ..., company_registration_number: bool = ..., emails: bool = ..., address: bool = ...) -> None: ...

class VerificationStatus(int, metaclass=_enum_type_wrapper.EnumTypeWrapper):
    __slots__ = []
