from fred_api.verification import common_types_pb2 as _common_types_pb2
from fred_api.verification import pagination_pb2 as _pagination_pb2
from google.protobuf import struct_pb2 as _struct_pb2
from google.protobuf.internal import containers as _containers
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Iterable as _Iterable, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class ApproveFutileReply(_message.Message):
    __slots__ = ["exception"]
    class Exception(_message.Message):
        __slots__ = ["incorrect_status", "verification_does_not_exist"]
        INCORRECT_STATUS_FIELD_NUMBER: _ClassVar[int]
        VERIFICATION_DOES_NOT_EXIST_FIELD_NUMBER: _ClassVar[int]
        incorrect_status: _common_types_pb2.IncorrectStatus
        verification_does_not_exist: _common_types_pb2.VerificationDoesNotExist
        def __init__(self, verification_does_not_exist: _Optional[_Union[_common_types_pb2.VerificationDoesNotExist, _Mapping]] = ..., incorrect_status: _Optional[_Union[_common_types_pb2.IncorrectStatus, _Mapping]] = ...) -> None: ...
    EXCEPTION_FIELD_NUMBER: _ClassVar[int]
    exception: ApproveFutileReply.Exception
    def __init__(self, exception: _Optional[_Union[ApproveFutileReply.Exception, _Mapping]] = ...) -> None: ...

class ApproveFutileRequest(_message.Message):
    __slots__ = ["verification_id"]
    VERIFICATION_ID_FIELD_NUMBER: _ClassVar[int]
    verification_id: _common_types_pb2.VerificationId
    def __init__(self, verification_id: _Optional[_Union[_common_types_pb2.VerificationId, _Mapping]] = ...) -> None: ...

class CancelReply(_message.Message):
    __slots__ = ["exception"]
    class Exception(_message.Message):
        __slots__ = ["incorrect_status", "verification_does_not_exist"]
        INCORRECT_STATUS_FIELD_NUMBER: _ClassVar[int]
        VERIFICATION_DOES_NOT_EXIST_FIELD_NUMBER: _ClassVar[int]
        incorrect_status: _common_types_pb2.IncorrectStatus
        verification_does_not_exist: _common_types_pb2.VerificationDoesNotExist
        def __init__(self, verification_does_not_exist: _Optional[_Union[_common_types_pb2.VerificationDoesNotExist, _Mapping]] = ..., incorrect_status: _Optional[_Union[_common_types_pb2.IncorrectStatus, _Mapping]] = ...) -> None: ...
    EXCEPTION_FIELD_NUMBER: _ClassVar[int]
    exception: CancelReply.Exception
    def __init__(self, exception: _Optional[_Union[CancelReply.Exception, _Mapping]] = ...) -> None: ...

class CancelRequest(_message.Message):
    __slots__ = ["verification_id"]
    VERIFICATION_ID_FIELD_NUMBER: _ClassVar[int]
    verification_id: _common_types_pb2.VerificationId
    def __init__(self, verification_id: _Optional[_Union[_common_types_pb2.VerificationId, _Mapping]] = ...) -> None: ...

class CreateReply(_message.Message):
    __slots__ = ["data", "exception"]
    class Data(_message.Message):
        __slots__ = ["verification"]
        VERIFICATION_FIELD_NUMBER: _ClassVar[int]
        verification: _common_types_pb2.VerificationInfo
        def __init__(self, verification: _Optional[_Union[_common_types_pb2.VerificationInfo, _Mapping]] = ...) -> None: ...
    class Exception(_message.Message):
        __slots__ = ["contact_does_not_exist"]
        CONTACT_DOES_NOT_EXIST_FIELD_NUMBER: _ClassVar[int]
        contact_does_not_exist: _common_types_pb2.ContactDoesNotExist
        def __init__(self, contact_does_not_exist: _Optional[_Union[_common_types_pb2.ContactDoesNotExist, _Mapping]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    EXCEPTION_FIELD_NUMBER: _ClassVar[int]
    data: CreateReply.Data
    exception: CreateReply.Exception
    def __init__(self, data: _Optional[_Union[CreateReply.Data, _Mapping]] = ..., exception: _Optional[_Union[CreateReply.Exception, _Mapping]] = ...) -> None: ...

class CreateRequest(_message.Message):
    __slots__ = ["contact_id"]
    CONTACT_ID_FIELD_NUMBER: _ClassVar[int]
    contact_id: _common_types_pb2.ContactId
    def __init__(self, contact_id: _Optional[_Union[_common_types_pb2.ContactId, _Mapping]] = ...) -> None: ...

class DelayStatusReply(_message.Message):
    __slots__ = ["exception"]
    class Exception(_message.Message):
        __slots__ = ["incorrect_status", "verification_does_not_exist"]
        INCORRECT_STATUS_FIELD_NUMBER: _ClassVar[int]
        VERIFICATION_DOES_NOT_EXIST_FIELD_NUMBER: _ClassVar[int]
        incorrect_status: _common_types_pb2.IncorrectStatus
        verification_does_not_exist: _common_types_pb2.VerificationDoesNotExist
        def __init__(self, verification_does_not_exist: _Optional[_Union[_common_types_pb2.VerificationDoesNotExist, _Mapping]] = ..., incorrect_status: _Optional[_Union[_common_types_pb2.IncorrectStatus, _Mapping]] = ...) -> None: ...
    EXCEPTION_FIELD_NUMBER: _ClassVar[int]
    exception: DelayStatusReply.Exception
    def __init__(self, exception: _Optional[_Union[DelayStatusReply.Exception, _Mapping]] = ...) -> None: ...

class DelayStatusRequest(_message.Message):
    __slots__ = ["delay", "status", "verification_id"]
    DELAY_FIELD_NUMBER: _ClassVar[int]
    STATUS_FIELD_NUMBER: _ClassVar[int]
    VERIFICATION_ID_FIELD_NUMBER: _ClassVar[int]
    delay: int
    status: _common_types_pb2.VerificationStatus
    verification_id: _common_types_pb2.VerificationId
    def __init__(self, verification_id: _Optional[_Union[_common_types_pb2.VerificationId, _Mapping]] = ..., status: _Optional[_Union[_common_types_pb2.VerificationStatus, str]] = ..., delay: _Optional[int] = ...) -> None: ...

class GetContactRepresentativeReply(_message.Message):
    __slots__ = ["data", "exception"]
    class Data(_message.Message):
        __slots__ = ["address", "organization"]
        ADDRESS_FIELD_NUMBER: _ClassVar[int]
        ORGANIZATION_FIELD_NUMBER: _ClassVar[int]
        address: _common_types_pb2.PlaceAddress
        organization: str
        def __init__(self, organization: _Optional[str] = ..., address: _Optional[_Union[_common_types_pb2.PlaceAddress, _Mapping]] = ...) -> None: ...
    class Exception(_message.Message):
        __slots__ = ["verification_does_not_exist"]
        VERIFICATION_DOES_NOT_EXIST_FIELD_NUMBER: _ClassVar[int]
        verification_does_not_exist: _common_types_pb2.VerificationDoesNotExist
        def __init__(self, verification_does_not_exist: _Optional[_Union[_common_types_pb2.VerificationDoesNotExist, _Mapping]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    EXCEPTION_FIELD_NUMBER: _ClassVar[int]
    data: GetContactRepresentativeReply.Data
    exception: GetContactRepresentativeReply.Exception
    def __init__(self, data: _Optional[_Union[GetContactRepresentativeReply.Data, _Mapping]] = ..., exception: _Optional[_Union[GetContactRepresentativeReply.Exception, _Mapping]] = ...) -> None: ...

class GetContactRepresentativeRequest(_message.Message):
    __slots__ = ["verification_id"]
    VERIFICATION_ID_FIELD_NUMBER: _ClassVar[int]
    verification_id: _common_types_pb2.VerificationId
    def __init__(self, verification_id: _Optional[_Union[_common_types_pb2.VerificationId, _Mapping]] = ...) -> None: ...

class GetMethodsReply(_message.Message):
    __slots__ = ["data", "exception"]
    class Data(_message.Message):
        __slots__ = ["methods"]
        METHODS_FIELD_NUMBER: _ClassVar[int]
        methods: _containers.RepeatedScalarFieldContainer[str]
        def __init__(self, methods: _Optional[_Iterable[str]] = ...) -> None: ...
    class Exception(_message.Message):
        __slots__ = ["verification_does_not_exist"]
        VERIFICATION_DOES_NOT_EXIST_FIELD_NUMBER: _ClassVar[int]
        verification_does_not_exist: _common_types_pb2.VerificationDoesNotExist
        def __init__(self, verification_does_not_exist: _Optional[_Union[_common_types_pb2.VerificationDoesNotExist, _Mapping]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    EXCEPTION_FIELD_NUMBER: _ClassVar[int]
    data: GetMethodsReply.Data
    exception: GetMethodsReply.Exception
    def __init__(self, data: _Optional[_Union[GetMethodsReply.Data, _Mapping]] = ..., exception: _Optional[_Union[GetMethodsReply.Exception, _Mapping]] = ...) -> None: ...

class GetMethodsRequest(_message.Message):
    __slots__ = ["verification_id"]
    VERIFICATION_ID_FIELD_NUMBER: _ClassVar[int]
    verification_id: _common_types_pb2.VerificationId
    def __init__(self, verification_id: _Optional[_Union[_common_types_pb2.VerificationId, _Mapping]] = ...) -> None: ...

class GetReply(_message.Message):
    __slots__ = ["data", "exception"]
    class Data(_message.Message):
        __slots__ = ["verification"]
        VERIFICATION_FIELD_NUMBER: _ClassVar[int]
        verification: _common_types_pb2.VerificationInfo
        def __init__(self, verification: _Optional[_Union[_common_types_pb2.VerificationInfo, _Mapping]] = ...) -> None: ...
    class Exception(_message.Message):
        __slots__ = ["verification_does_not_exist"]
        VERIFICATION_DOES_NOT_EXIST_FIELD_NUMBER: _ClassVar[int]
        verification_does_not_exist: _common_types_pb2.VerificationDoesNotExist
        def __init__(self, verification_does_not_exist: _Optional[_Union[_common_types_pb2.VerificationDoesNotExist, _Mapping]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    EXCEPTION_FIELD_NUMBER: _ClassVar[int]
    data: GetReply.Data
    exception: GetReply.Exception
    def __init__(self, data: _Optional[_Union[GetReply.Data, _Mapping]] = ..., exception: _Optional[_Union[GetReply.Exception, _Mapping]] = ...) -> None: ...

class GetRequest(_message.Message):
    __slots__ = ["access_token", "verification_id"]
    ACCESS_TOKEN_FIELD_NUMBER: _ClassVar[int]
    VERIFICATION_ID_FIELD_NUMBER: _ClassVar[int]
    access_token: str
    verification_id: _common_types_pb2.VerificationId
    def __init__(self, verification_id: _Optional[_Union[_common_types_pb2.VerificationId, _Mapping]] = ..., access_token: _Optional[str] = ...) -> None: ...

class ListReply(_message.Message):
    __slots__ = ["data"]
    class Data(_message.Message):
        __slots__ = ["pagination", "verifications"]
        PAGINATION_FIELD_NUMBER: _ClassVar[int]
        VERIFICATIONS_FIELD_NUMBER: _ClassVar[int]
        pagination: _pagination_pb2.PaginationReply
        verifications: _containers.RepeatedCompositeFieldContainer[_common_types_pb2.VerificationInfo]
        def __init__(self, verifications: _Optional[_Iterable[_Union[_common_types_pb2.VerificationInfo, _Mapping]]] = ..., pagination: _Optional[_Union[_pagination_pb2.PaginationReply, _Mapping]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    data: ListReply.Data
    def __init__(self, data: _Optional[_Union[ListReply.Data, _Mapping]] = ...) -> None: ...

class ListRequest(_message.Message):
    __slots__ = ["contact_id", "manual_check_request", "pagination", "statuses"]
    CONTACT_ID_FIELD_NUMBER: _ClassVar[int]
    MANUAL_CHECK_REQUEST_FIELD_NUMBER: _ClassVar[int]
    PAGINATION_FIELD_NUMBER: _ClassVar[int]
    STATUSES_FIELD_NUMBER: _ClassVar[int]
    contact_id: _common_types_pb2.ContactId
    manual_check_request: bool
    pagination: _pagination_pb2.PaginationRequest
    statuses: _containers.RepeatedScalarFieldContainer[_common_types_pb2.VerificationStatus]
    def __init__(self, contact_id: _Optional[_Union[_common_types_pb2.ContactId, _Mapping]] = ..., statuses: _Optional[_Iterable[_Union[_common_types_pb2.VerificationStatus, str]]] = ..., manual_check_request: bool = ..., pagination: _Optional[_Union[_pagination_pb2.PaginationRequest, _Mapping]] = ...) -> None: ...

class ListVerificationResultsReply(_message.Message):
    __slots__ = ["data", "exception"]
    class Data(_message.Message):
        __slots__ = ["results"]
        RESULTS_FIELD_NUMBER: _ClassVar[int]
        results: _containers.RepeatedCompositeFieldContainer[_common_types_pb2.VerificationResult]
        def __init__(self, results: _Optional[_Iterable[_Union[_common_types_pb2.VerificationResult, _Mapping]]] = ...) -> None: ...
    class Exception(_message.Message):
        __slots__ = ["verification_does_not_exist"]
        VERIFICATION_DOES_NOT_EXIST_FIELD_NUMBER: _ClassVar[int]
        verification_does_not_exist: _common_types_pb2.VerificationDoesNotExist
        def __init__(self, verification_does_not_exist: _Optional[_Union[_common_types_pb2.VerificationDoesNotExist, _Mapping]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    EXCEPTION_FIELD_NUMBER: _ClassVar[int]
    data: ListVerificationResultsReply.Data
    exception: ListVerificationResultsReply.Exception
    def __init__(self, data: _Optional[_Union[ListVerificationResultsReply.Data, _Mapping]] = ..., exception: _Optional[_Union[ListVerificationResultsReply.Exception, _Mapping]] = ...) -> None: ...

class ListVerificationResultsRequest(_message.Message):
    __slots__ = ["verification_id"]
    VERIFICATION_ID_FIELD_NUMBER: _ClassVar[int]
    verification_id: _common_types_pb2.VerificationId
    def __init__(self, verification_id: _Optional[_Union[_common_types_pb2.VerificationId, _Mapping]] = ...) -> None: ...

class RequestManualCheckReply(_message.Message):
    __slots__ = ["exception"]
    class Exception(_message.Message):
        __slots__ = ["incorrect_status", "verification_does_not_exist"]
        INCORRECT_STATUS_FIELD_NUMBER: _ClassVar[int]
        VERIFICATION_DOES_NOT_EXIST_FIELD_NUMBER: _ClassVar[int]
        incorrect_status: _common_types_pb2.IncorrectStatus
        verification_does_not_exist: _common_types_pb2.VerificationDoesNotExist
        def __init__(self, verification_does_not_exist: _Optional[_Union[_common_types_pb2.VerificationDoesNotExist, _Mapping]] = ..., incorrect_status: _Optional[_Union[_common_types_pb2.IncorrectStatus, _Mapping]] = ...) -> None: ...
    EXCEPTION_FIELD_NUMBER: _ClassVar[int]
    exception: RequestManualCheckReply.Exception
    def __init__(self, exception: _Optional[_Union[RequestManualCheckReply.Exception, _Mapping]] = ...) -> None: ...

class RequestManualCheckRequest(_message.Message):
    __slots__ = ["verification_id"]
    VERIFICATION_ID_FIELD_NUMBER: _ClassVar[int]
    verification_id: _common_types_pb2.VerificationId
    def __init__(self, verification_id: _Optional[_Union[_common_types_pb2.VerificationId, _Mapping]] = ...) -> None: ...

class ResendMessageReply(_message.Message):
    __slots__ = ["exception"]
    class Exception(_message.Message):
        __slots__ = ["incorrect_status", "invalid_data", "verification_does_not_exist"]
        INCORRECT_STATUS_FIELD_NUMBER: _ClassVar[int]
        INVALID_DATA_FIELD_NUMBER: _ClassVar[int]
        VERIFICATION_DOES_NOT_EXIST_FIELD_NUMBER: _ClassVar[int]
        incorrect_status: _common_types_pb2.IncorrectStatus
        invalid_data: _common_types_pb2.InvalidData
        verification_does_not_exist: _common_types_pb2.VerificationDoesNotExist
        def __init__(self, verification_does_not_exist: _Optional[_Union[_common_types_pb2.VerificationDoesNotExist, _Mapping]] = ..., incorrect_status: _Optional[_Union[_common_types_pb2.IncorrectStatus, _Mapping]] = ..., invalid_data: _Optional[_Union[_common_types_pb2.InvalidData, _Mapping]] = ...) -> None: ...
    EXCEPTION_FIELD_NUMBER: _ClassVar[int]
    exception: ResendMessageReply.Exception
    def __init__(self, exception: _Optional[_Union[ResendMessageReply.Exception, _Mapping]] = ...) -> None: ...

class ResendMessageRequest(_message.Message):
    __slots__ = ["message_type", "verification_id"]
    MESSAGE_TYPE_FIELD_NUMBER: _ClassVar[int]
    VERIFICATION_ID_FIELD_NUMBER: _ClassVar[int]
    message_type: str
    verification_id: _common_types_pb2.VerificationId
    def __init__(self, verification_id: _Optional[_Union[_common_types_pb2.VerificationId, _Mapping]] = ..., message_type: _Optional[str] = ...) -> None: ...

class ResolveManualCheckReply(_message.Message):
    __slots__ = ["exception"]
    class Exception(_message.Message):
        __slots__ = ["incorrect_status", "invalid_data", "verification_does_not_exist"]
        INCORRECT_STATUS_FIELD_NUMBER: _ClassVar[int]
        INVALID_DATA_FIELD_NUMBER: _ClassVar[int]
        VERIFICATION_DOES_NOT_EXIST_FIELD_NUMBER: _ClassVar[int]
        incorrect_status: _common_types_pb2.IncorrectStatus
        invalid_data: _common_types_pb2.InvalidData
        verification_does_not_exist: _common_types_pb2.VerificationDoesNotExist
        def __init__(self, verification_does_not_exist: _Optional[_Union[_common_types_pb2.VerificationDoesNotExist, _Mapping]] = ..., invalid_data: _Optional[_Union[_common_types_pb2.InvalidData, _Mapping]] = ..., incorrect_status: _Optional[_Union[_common_types_pb2.IncorrectStatus, _Mapping]] = ...) -> None: ...
    EXCEPTION_FIELD_NUMBER: _ClassVar[int]
    exception: ResolveManualCheckReply.Exception
    def __init__(self, exception: _Optional[_Union[ResolveManualCheckReply.Exception, _Mapping]] = ...) -> None: ...

class ResolveManualCheckRequest(_message.Message):
    __slots__ = ["contact_history_id", "data", "verification_id", "verified"]
    CONTACT_HISTORY_ID_FIELD_NUMBER: _ClassVar[int]
    DATA_FIELD_NUMBER: _ClassVar[int]
    VERIFICATION_ID_FIELD_NUMBER: _ClassVar[int]
    VERIFIED_FIELD_NUMBER: _ClassVar[int]
    contact_history_id: _common_types_pb2.ContactHistoryId
    data: _common_types_pb2.ContactData
    verification_id: _common_types_pb2.VerificationId
    verified: bool
    def __init__(self, verification_id: _Optional[_Union[_common_types_pb2.VerificationId, _Mapping]] = ..., verified: bool = ..., data: _Optional[_Union[_common_types_pb2.ContactData, _Mapping]] = ..., contact_history_id: _Optional[_Union[_common_types_pb2.ContactHistoryId, _Mapping]] = ...) -> None: ...

class SetContactRepresentativeReply(_message.Message):
    __slots__ = ["exception"]
    class Exception(_message.Message):
        __slots__ = ["incorrect_status", "verification_does_not_exist"]
        INCORRECT_STATUS_FIELD_NUMBER: _ClassVar[int]
        VERIFICATION_DOES_NOT_EXIST_FIELD_NUMBER: _ClassVar[int]
        incorrect_status: _common_types_pb2.IncorrectStatus
        verification_does_not_exist: _common_types_pb2.VerificationDoesNotExist
        def __init__(self, verification_does_not_exist: _Optional[_Union[_common_types_pb2.VerificationDoesNotExist, _Mapping]] = ..., incorrect_status: _Optional[_Union[_common_types_pb2.IncorrectStatus, _Mapping]] = ...) -> None: ...
    EXCEPTION_FIELD_NUMBER: _ClassVar[int]
    exception: SetContactRepresentativeReply.Exception
    def __init__(self, exception: _Optional[_Union[SetContactRepresentativeReply.Exception, _Mapping]] = ...) -> None: ...

class SetContactRepresentativeRequest(_message.Message):
    __slots__ = ["address", "organization", "verification_id"]
    ADDRESS_FIELD_NUMBER: _ClassVar[int]
    ORGANIZATION_FIELD_NUMBER: _ClassVar[int]
    VERIFICATION_ID_FIELD_NUMBER: _ClassVar[int]
    address: _common_types_pb2.PlaceAddress
    organization: str
    verification_id: _common_types_pb2.VerificationId
    def __init__(self, verification_id: _Optional[_Union[_common_types_pb2.VerificationId, _Mapping]] = ..., organization: _Optional[str] = ..., address: _Optional[_Union[_common_types_pb2.PlaceAddress, _Mapping]] = ...) -> None: ...

class UseMethodReply(_message.Message):
    __slots__ = ["data", "exception"]
    class Data(_message.Message):
        __slots__ = ["verification"]
        VERIFICATION_FIELD_NUMBER: _ClassVar[int]
        verification: _common_types_pb2.VerificationInfo
        def __init__(self, verification: _Optional[_Union[_common_types_pb2.VerificationInfo, _Mapping]] = ...) -> None: ...
    class Exception(_message.Message):
        __slots__ = ["incorrect_status", "method_not_applicable", "verification_does_not_exist"]
        INCORRECT_STATUS_FIELD_NUMBER: _ClassVar[int]
        METHOD_NOT_APPLICABLE_FIELD_NUMBER: _ClassVar[int]
        VERIFICATION_DOES_NOT_EXIST_FIELD_NUMBER: _ClassVar[int]
        incorrect_status: _common_types_pb2.IncorrectStatus
        method_not_applicable: _common_types_pb2.MethodNotApplicable
        verification_does_not_exist: _common_types_pb2.VerificationDoesNotExist
        def __init__(self, verification_does_not_exist: _Optional[_Union[_common_types_pb2.VerificationDoesNotExist, _Mapping]] = ..., method_not_applicable: _Optional[_Union[_common_types_pb2.MethodNotApplicable, _Mapping]] = ..., incorrect_status: _Optional[_Union[_common_types_pb2.IncorrectStatus, _Mapping]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    EXCEPTION_FIELD_NUMBER: _ClassVar[int]
    data: UseMethodReply.Data
    exception: UseMethodReply.Exception
    def __init__(self, data: _Optional[_Union[UseMethodReply.Data, _Mapping]] = ..., exception: _Optional[_Union[UseMethodReply.Exception, _Mapping]] = ...) -> None: ...

class UseMethodRequest(_message.Message):
    __slots__ = ["method", "verification_id"]
    METHOD_FIELD_NUMBER: _ClassVar[int]
    VERIFICATION_ID_FIELD_NUMBER: _ClassVar[int]
    method: str
    verification_id: _common_types_pb2.VerificationId
    def __init__(self, verification_id: _Optional[_Union[_common_types_pb2.VerificationId, _Mapping]] = ..., method: _Optional[str] = ...) -> None: ...

class VerifyContactDataReply(_message.Message):
    __slots__ = ["data", "exception"]
    class Data(_message.Message):
        __slots__ = ["result", "verification"]
        RESULT_FIELD_NUMBER: _ClassVar[int]
        VERIFICATION_FIELD_NUMBER: _ClassVar[int]
        result: _common_types_pb2.VerificationResult
        verification: _common_types_pb2.VerificationInfo
        def __init__(self, verification: _Optional[_Union[_common_types_pb2.VerificationInfo, _Mapping]] = ..., result: _Optional[_Union[_common_types_pb2.VerificationResult, _Mapping]] = ...) -> None: ...
    class Exception(_message.Message):
        __slots__ = ["incorrect_status", "invalid_data", "method_not_applicable", "verification_does_not_exist"]
        INCORRECT_STATUS_FIELD_NUMBER: _ClassVar[int]
        INVALID_DATA_FIELD_NUMBER: _ClassVar[int]
        METHOD_NOT_APPLICABLE_FIELD_NUMBER: _ClassVar[int]
        VERIFICATION_DOES_NOT_EXIST_FIELD_NUMBER: _ClassVar[int]
        incorrect_status: _common_types_pb2.IncorrectStatus
        invalid_data: _common_types_pb2.InvalidData
        method_not_applicable: _common_types_pb2.MethodNotApplicable
        verification_does_not_exist: _common_types_pb2.VerificationDoesNotExist
        def __init__(self, verification_does_not_exist: _Optional[_Union[_common_types_pb2.VerificationDoesNotExist, _Mapping]] = ..., method_not_applicable: _Optional[_Union[_common_types_pb2.MethodNotApplicable, _Mapping]] = ..., invalid_data: _Optional[_Union[_common_types_pb2.InvalidData, _Mapping]] = ..., incorrect_status: _Optional[_Union[_common_types_pb2.IncorrectStatus, _Mapping]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    EXCEPTION_FIELD_NUMBER: _ClassVar[int]
    data: VerifyContactDataReply.Data
    exception: VerifyContactDataReply.Exception
    def __init__(self, data: _Optional[_Union[VerifyContactDataReply.Data, _Mapping]] = ..., exception: _Optional[_Union[VerifyContactDataReply.Exception, _Mapping]] = ...) -> None: ...

class VerifyContactDataRequest(_message.Message):
    __slots__ = ["data", "method", "verification_id"]
    DATA_FIELD_NUMBER: _ClassVar[int]
    METHOD_FIELD_NUMBER: _ClassVar[int]
    VERIFICATION_ID_FIELD_NUMBER: _ClassVar[int]
    data: _common_types_pb2.ContactData
    method: str
    verification_id: _common_types_pb2.VerificationId
    def __init__(self, verification_id: _Optional[_Union[_common_types_pb2.VerificationId, _Mapping]] = ..., method: _Optional[str] = ..., data: _Optional[_Union[_common_types_pb2.ContactData, _Mapping]] = ...) -> None: ...

class VerifyTokenReply(_message.Message):
    __slots__ = ["data", "exception"]
    class Data(_message.Message):
        __slots__ = ["token_matches"]
        TOKEN_MATCHES_FIELD_NUMBER: _ClassVar[int]
        token_matches: bool
        def __init__(self, token_matches: bool = ...) -> None: ...
    class Exception(_message.Message):
        __slots__ = ["incorrect_status", "verification_does_not_exist"]
        INCORRECT_STATUS_FIELD_NUMBER: _ClassVar[int]
        VERIFICATION_DOES_NOT_EXIST_FIELD_NUMBER: _ClassVar[int]
        incorrect_status: _common_types_pb2.IncorrectStatus
        verification_does_not_exist: _common_types_pb2.VerificationDoesNotExist
        def __init__(self, verification_does_not_exist: _Optional[_Union[_common_types_pb2.VerificationDoesNotExist, _Mapping]] = ..., incorrect_status: _Optional[_Union[_common_types_pb2.IncorrectStatus, _Mapping]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    EXCEPTION_FIELD_NUMBER: _ClassVar[int]
    data: VerifyTokenReply.Data
    exception: VerifyTokenReply.Exception
    def __init__(self, data: _Optional[_Union[VerifyTokenReply.Data, _Mapping]] = ..., exception: _Optional[_Union[VerifyTokenReply.Exception, _Mapping]] = ...) -> None: ...

class VerifyTokenRequest(_message.Message):
    __slots__ = ["token", "verification_id"]
    TOKEN_FIELD_NUMBER: _ClassVar[int]
    VERIFICATION_ID_FIELD_NUMBER: _ClassVar[int]
    token: str
    verification_id: _common_types_pb2.VerificationId
    def __init__(self, verification_id: _Optional[_Union[_common_types_pb2.VerificationId, _Mapping]] = ..., token: _Optional[str] = ...) -> None: ...
